Page MenuHomePhabricator

Deploy lazy images to Mobile web beta
Closed, ResolvedPublic1 Story Points

Description

  • Ensure all blocking tasks resolved
  • In beta enable the lazy load images flag.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
Resolveddr0ptp4kt
DuplicateJhernandez
Duplicatedr0ptp4kt
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
DeclinedBBlack
ResolvedJdlrobson
Resolvedphuedx
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJhernandez
ResolvedJhernandez

Event Timeline

Jhernandez raised the priority of this task from to Needs Triage.
Jhernandez updated the task description. (Show Details)
Jhernandez added a project: MobileFrontend.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 11 2016, 10:23 AM
Jdlrobson triaged this task as Normal priority.Feb 11 2016, 4:56 PM
Jdlrobson added a subscriber: Jdlrobson.
Jdlrobson moved this task from Backlog to Tasks on the MobileFrontend board.Feb 18 2016, 6:25 PM
Peter added a subscriber: Peter.Feb 22 2016, 9:14 AM
Jdlrobson set the point value for this task to 1.Feb 26 2016, 10:33 PM
Jdlrobson claimed this task.Mar 7 2016, 9:43 PM
Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-67-If, Then, Else...? board.

Change 275672 had a related patch set uploaded (by Jdlrobson):
Lazy loaded images in beta

https://gerrit.wikimedia.org/r/275672

bmansurov added a subscriber: bmansurov.EditedMar 9 2016, 2:35 PM

@Jdlrobson, Why are we doing the config change in MF? Can't we use operations/mediawiki-config?

@bmansurov we could but I think this is overkill. As I said in the language overlay task, I think it is expected that beta will enable anything it can inside the extension itself. We can always SWAT a patch to turn it off.

Eventually we'll want to convert this config variable into a binary on/off switch for both modes.
IMO we should only need config changes for stable production roll outs.

Change 275672 merged by jenkins-bot:
Lazy loaded images in beta

https://gerrit.wikimedia.org/r/275672

Jdlrobson closed this task as Resolved.Mar 16 2016, 12:07 AM

Verified as working on http://en.m.wikipedia.beta.wmflabs.org/wiki/Barack_Obama
This will roll out 24th March. I'll be watching the graphs on the dashboard